JAXRPCException (Axis API)
Keywords: javax.xml.rpc.JAXRPCException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc
Class JAXRPCException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.xml.rpc.JAXRPCException

All Implemented Interfaces:
  java.io.Serializable

public class JAXRPCException
extends java.lang.RuntimeException

The `javax.xml.rpc.JAXRPCException` is thrown from the core JAX-RPC APIs to indicate an exception related to the JAX-RPC runtime mechanisms.

Version:
  1.0
See Also:
  Serialized Form

Constructor Summary
`JAXRPCException()` Constructs a new exception with `null` as its detail message.
`JAXRPCException(java.lang.String message)` Constructs a new exception with the specified detail message.
`JAXRPCException(java.lang.String message, java.lang.Throwable cause)` Constructs a new exception with the specified detail message and cause.
`JAXRPCException(java.lang.Throwable cause)` Constructs a new JAXRPCException with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Method Summary
`java.lang.Throwable` | `getLinkedCause()` Gets the linked cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAXRPCException

    public JAXRPCException()

  Constructs a new exception with `null` as its detail message. The cause is not initialized.

### JAXRPCException

    public JAXRPCException(java.lang.String message)

  Constructs a new exception with the specified detail message. The cause is not initialized.

Parameters:
  `message` - The detail message which is later retrieved using the getMessage method

### JAXRPCException

    public JAXRPCException(java.lang.String message,
                           java.lang.Throwable cause)

  Constructs a new exception with the specified detail message and cause.

Parameters:
  `message` - The detail message which is later retrieved using the getMessage method
  `cause` - The cause which is saved for the later retrieval throw by the getCause method

### JAXRPCException

    public JAXRPCException(java.lang.Throwable cause)

  Constructs a new JAXRPCException with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Parameters:
  `cause` - The cause which is saved for the later retrieval throw by the getCause method. (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Method Detail

### getLinkedCause

    public java.lang.Throwable getLinkedCause()

  Gets the linked cause.

  Returns:
    The cause of this Exception or `null` if the cause is noexistent or unknown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.